Subject: Re: [bug#49610] [PATCH 0/2] Add channels field to guix-configuration

From: Simon Tournier <[email-masked]>
Date: Thu, 04 Apr 2024 10:03:49 +0200

Hi,

On dim., 24 mars 2024 at 10:24, Franz Geffke <[email-masked]> wrote:
> As of yesterday the channels file on my computer has been replaced by a symlink 
> to the default channels; I guess hundreds of PC's that rely on automatic 
> updates, are now stuck on this commit.
>
> Is this expected?

I guess yes, as mentioned in [1]:

        I think this will be a unexpected/breaking change for Guix System users. If they
        have /etc/guix/channels.scm customized manually, on their next 'guix system
        reconfigure', it will move that file and use the channels field, unless they
        modify guix-configuration.  Maybe this change should have a NEWS entry?

But the ’reconfigure’ should be smooth.  Is it still an issue for you?

Cheers,
simon

1: [bug#49610] [PATCH v3] services: guix: Add channels field.
Antero Mejr via Guix-patches via <[email-masked]>
Thu, 25 May 2023 20:12:16 +0000
id:[email-masked]
https://issues.guix.gnu.org/49610
https://issues.guix.gnu.org/msgid/[email-masked]
https://yhetil.org/guix/[email-masked]